# -*- coding: utf-8 -*-

"""
####################################################################
#                                                                  #
#                           AWI Basemap                            #
#                         COMPUTE CONTOURS                         #
#                                                                  #
####################################################################

This script computes a contour layer from the GEBCO grid.

"""

# ==================================================================
#    SCRIPT INFO
# ==================================================================

__author__ = 'Simon Dreutter'
__version__ = '0.6'
__date__ = '2024-11-08'
__email__ = 'simon.dreutter@awi.de'
__status__ = 'Development'

# ==================================================================
#    IMPORT
# ==================================================================

# import AWI Basemap configuration
from config import *

# ==================================================================
#    PROCESS
# ==================================================================

ELEV_FIELD = 'elevation'
CONTOUR_INTERVAL = 50.0
CONTOURS_WORLD = '../data/gebco/contours_world.gpkg'

# heading
print()
print('====================================================================')
print(f'{"COMPUTE CONTOURS":^68}')

msg = 'Creating World Contours...'
cmd = (f'gdal_contour'
       f' -b 1'
       f' -a {ELEV_FIELD}'
       f' -i {CONTOUR_INTERVAL}'
       f' -f "GPKG"'
       f' {GEBCO_IN}'
       f' {CONTOURS_WORLD}')
run(msg, cmd)
